
_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;steptester.c,59 :: 		void interrupt(){
;steptester.c,61 :: 		INTCON.GIE = 0;                                                 //  
	BCF        INTCON+0, 7
;steptester.c,63 :: 		if (INTCON.INTF == 1) z_pulses++;                               //   Z 
	BTFSS      INTCON+0, 1
	GOTO       L_interrupt0
	INCF       _z_pulses+0, 1
	BTFSC      STATUS+0, 2
	INCF       _z_pulses+1, 1
L_interrupt0:
;steptester.c,64 :: 		if ((INTCON.INTF == 1)&&(z_pulses>0)) stepsleft--;                //   
	BTFSS      INTCON+0, 1
	GOTO       L_interrupt3
	MOVF       _z_pulses+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt93
	MOVF       _z_pulses+0, 0
	SUBLW      0
L__interrupt93:
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt3
L__interrupt85:
	MOVLW      1
	SUBWF      _stepsleft+0, 1
	BTFSS      STATUS+0, 0
	DECF       _stepsleft+1, 1
	GOTO       L_interrupt4
L_interrupt3:
;steptester.c,67 :: 		switch (programtype){
	GOTO       L_interrupt5
;steptester.c,68 :: 		case 1: {                                                  //  1
L_interrupt7:
;steptester.c,69 :: 		if (PORTB.B5 > aold) a_pulses++;
	CLRF       R2+0
	BTFSC      PORTB+0, 5
	INCF       R2+0, 1
	CLRF       R1+0
	BTFSC      _aold+0, BitPos(_aold+0)
	INCF       R1+0, 1
	MOVF       R2+0, 0
	SUBWF      R1+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt8
	INCF       _a_pulses+0, 1
	BTFSC      STATUS+0, 2
	INCF       _a_pulses+1, 1
L_interrupt8:
;steptester.c,70 :: 		if (PORTB.B4 > bold) b_pulses++;
	CLRF       R2+0
	BTFSC      PORTB+0, 4
	INCF       R2+0, 1
	CLRF       R1+0
	BTFSC      _bold+0, BitPos(_bold+0)
	INCF       R1+0, 1
	MOVF       R2+0, 0
	SUBWF      R1+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt9
	INCF       _b_pulses+0, 1
	BTFSC      STATUS+0, 2
	INCF       _b_pulses+1, 1
L_interrupt9:
;steptester.c,71 :: 		break;}
	GOTO       L_interrupt6
;steptester.c,72 :: 		case 2: {                                                  //  2
L_interrupt10:
;steptester.c,73 :: 		if ((PORTB.B5 > aold)&&(z_pulses > 0)) a_pulses++;
	CLRF       R2+0
	BTFSC      PORTB+0, 5
	INCF       R2+0, 1
	CLRF       R1+0
	BTFSC      _aold+0, BitPos(_aold+0)
	INCF       R1+0, 1
	MOVF       R2+0, 0
	SUBWF      R1+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt13
	MOVF       _z_pulses+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt94
	MOVF       _z_pulses+0, 0
	SUBLW      0
L__interrupt94:
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt13
L__interrupt84:
	INCF       _a_pulses+0, 1
	BTFSC      STATUS+0, 2
	INCF       _a_pulses+1, 1
L_interrupt13:
;steptester.c,74 :: 		if ((PORTB.B4 > bold)&&(z_pulses > 0)) b_pulses++;
	CLRF       R2+0
	BTFSC      PORTB+0, 4
	INCF       R2+0, 1
	CLRF       R1+0
	BTFSC      _bold+0, BitPos(_bold+0)
	INCF       R1+0, 1
	MOVF       R2+0, 0
	SUBWF      R1+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt16
	MOVF       _z_pulses+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt95
	MOVF       _z_pulses+0, 0
	SUBLW      0
L__interrupt95:
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt16
L__interrupt83:
	INCF       _b_pulses+0, 1
	BTFSC      STATUS+0, 2
	INCF       _b_pulses+1, 1
L_interrupt16:
;steptester.c,75 :: 		break;}
	GOTO       L_interrupt6
;steptester.c,76 :: 		}
L_interrupt5:
	MOVLW      0
	XORWF      _programtype+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt96
	MOVLW      1
	XORWF      _programtype+0, 0
L__interrupt96:
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt7
	MOVLW      0
	XORWF      _programtype+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt97
	MOVLW      2
	XORWF      _programtype+0, 0
L__interrupt97:
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt10
L_interrupt6:
;steptester.c,77 :: 		if (PORTB.B5 != aold) aold = PORTB.B5;
	BTFSC      PORTB+0, 5
	GOTO       L__interrupt98
	BTFSS      _aold+0, BitPos(_aold+0)
	GOTO       L_interrupt17
	GOTO       L__interrupt99
L__interrupt98:
	BTFSS      _aold+0, BitPos(_aold+0)
	GOTO       L__interrupt99
	GOTO       L_interrupt17
L__interrupt99:
	BTFSC      PORTB+0, 5
	GOTO       L__interrupt100
	BCF        _aold+0, BitPos(_aold+0)
	GOTO       L__interrupt101
L__interrupt100:
	BSF        _aold+0, BitPos(_aold+0)
L__interrupt101:
L_interrupt17:
;steptester.c,78 :: 		if (PORTB.B4 != bold) bold = PORTB.B4;
	BTFSC      PORTB+0, 4
	GOTO       L__interrupt102
	BTFSS      _bold+0, BitPos(_bold+0)
	GOTO       L_interrupt18
	GOTO       L__interrupt103
L__interrupt102:
	BTFSS      _bold+0, BitPos(_bold+0)
	GOTO       L__interrupt103
	GOTO       L_interrupt18
L__interrupt103:
	BTFSC      PORTB+0, 4
	GOTO       L__interrupt104
	BCF        _bold+0, BitPos(_bold+0)
	GOTO       L__interrupt105
L__interrupt104:
	BSF        _bold+0, BitPos(_bold+0)
L__interrupt105:
L_interrupt18:
;steptester.c,79 :: 		}
L_interrupt4:
;steptester.c,80 :: 		m = PORTB;
	MOVF       PORTB+0, 0
	MOVWF      _m+0
	CLRF       _m+1
;steptester.c,81 :: 		INTCON = 0x98;                                                  //  
	MOVLW      152
	MOVWF      INTCON+0
;steptester.c,83 :: 		}
L__interrupt92:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_microstep:

;steptester.c,84 :: 		void microstep(){
;steptester.c,86 :: 		while(stepsleft>0){
L_microstep19:
	MOVF       _stepsleft+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__microstep106
	MOVF       _stepsleft+0, 0
	SUBLW      0
L__microstep106:
	BTFSC      STATUS+0, 0
	GOTO       L_microstep20
;steptester.c,87 :: 		switch (stepnumber) {
	GOTO       L_microstep21
;steptester.c,88 :: 		case 1: PORTD = 0b10010000;   break;
L_microstep23:
	MOVLW      144
	MOVWF      PORTD+0
	GOTO       L_microstep22
;steptester.c,89 :: 		case 2: PORTD = 0b00010000;   break;
L_microstep24:
	MOVLW      16
	MOVWF      PORTD+0
	GOTO       L_microstep22
;steptester.c,90 :: 		case 3: PORTD = 0b00110000;   break;
L_microstep25:
	MOVLW      48
	MOVWF      PORTD+0
	GOTO       L_microstep22
;steptester.c,91 :: 		case 4: PORTD = 0b00100000;   break;
L_microstep26:
	MOVLW      32
	MOVWF      PORTD+0
	GOTO       L_microstep22
;steptester.c,92 :: 		case 5: PORTD = 0b01100000;   break;
L_microstep27:
	MOVLW      96
	MOVWF      PORTD+0
	GOTO       L_microstep22
;steptester.c,93 :: 		case 6: PORTD = 0b01000000;   break;
L_microstep28:
	MOVLW      64
	MOVWF      PORTD+0
	GOTO       L_microstep22
;steptester.c,94 :: 		case 7: PORTD = 0b11000000;   break;
L_microstep29:
	MOVLW      192
	MOVWF      PORTD+0
	GOTO       L_microstep22
;steptester.c,95 :: 		case 8: PORTD = 0b10000000;   break;
L_microstep30:
	MOVLW      128
	MOVWF      PORTD+0
	GOTO       L_microstep22
;steptester.c,96 :: 		}
L_microstep21:
	MOVLW      0
	XORWF      _stepnumber+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__microstep107
	MOVLW      1
	XORWF      _stepnumber+0, 0
L__microstep107:
	BTFSC      STATUS+0, 2
	GOTO       L_microstep23
	MOVLW      0
	XORWF      _stepnumber+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__microstep108
	MOVLW      2
	XORWF      _stepnumber+0, 0
L__microstep108:
	BTFSC      STATUS+0, 2
	GOTO       L_microstep24
	MOVLW      0
	XORWF      _stepnumber+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__microstep109
	MOVLW      3
	XORWF      _stepnumber+0, 0
L__microstep109:
	BTFSC      STATUS+0, 2
	GOTO       L_microstep25
	MOVLW      0
	XORWF      _stepnumber+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__microstep110
	MOVLW      4
	XORWF      _stepnumber+0, 0
L__microstep110:
	BTFSC      STATUS+0, 2
	GOTO       L_microstep26
	MOVLW      0
	XORWF      _stepnumber+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__microstep111
	MOVLW      5
	XORWF      _stepnumber+0, 0
L__microstep111:
	BTFSC      STATUS+0, 2
	GOTO       L_microstep27
	MOVLW      0
	XORWF      _stepnumber+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__microstep112
	MOVLW      6
	XORWF      _stepnumber+0, 0
L__microstep112:
	BTFSC      STATUS+0, 2
	GOTO       L_microstep28
	MOVLW      0
	XORWF      _stepnumber+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__microstep113
	MOVLW      7
	XORWF      _stepnumber+0, 0
L__microstep113:
	BTFSC      STATUS+0, 2
	GOTO       L_microstep29
	MOVLW      0
	XORWF      _stepnumber+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__microstep114
	MOVLW      8
	XORWF      _stepnumber+0, 0
L__microstep114:
	BTFSC      STATUS+0, 2
	GOTO       L_microstep30
L_microstep22:
;steptester.c,97 :: 		stepnumber++;
	INCF       _stepnumber+0, 1
	BTFSC      STATUS+0, 2
	INCF       _stepnumber+1, 1
;steptester.c,98 :: 		if (stepnumber > 8) stepnumber = 1;
	MOVF       _stepnumber+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__microstep115
	MOVF       _stepnumber+0, 0
	SUBLW      8
L__microstep115:
	BTFSC      STATUS+0, 0
	GOTO       L_microstep31
	MOVLW      1
	MOVWF      _stepnumber+0
	MOVLW      0
	MOVWF      _stepnumber+1
L_microstep31:
;steptester.c,99 :: 		if (programtype == 1) stepsleft--;
	MOVLW      0
	XORWF      _programtype+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__microstep116
	MOVLW      1
	XORWF      _programtype+0, 0
L__microstep116:
	BTFSS      STATUS+0, 2
	GOTO       L_microstep32
	MOVLW      1
	SUBWF      _stepsleft+0, 1
	BTFSS      STATUS+0, 0
	DECF       _stepsleft+1, 1
L_microstep32:
;steptester.c,101 :: 		intro--;                                   // 100     -  
	MOVLW      1
	SUBWF      _intro+0, 1
	BTFSS      STATUS+0, 0
	DECF       _intro+1, 1
;steptester.c,102 :: 		if (intro==0) INTCON = 0x98;               //     
	MOVLW      0
	XORWF      _intro+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__microstep117
	MOVLW      0
	XORWF      _intro+0, 0
L__microstep117:
	BTFSS      STATUS+0, 2
	GOTO       L_microstep33
	MOVLW      152
	MOVWF      INTCON+0
L_microstep33:
;steptester.c,103 :: 		Delay_ms (1);                              //   
	MOVLW      2
	MOVWF      R12+0
	MOVLW      75
	MOVWF      R13+0
L_microstep34:
	DECFSZ     R13+0, 1
	GOTO       L_microstep34
	DECFSZ     R12+0, 1
	GOTO       L_microstep34
;steptester.c,104 :: 		}
	GOTO       L_microstep19
L_microstep20:
;steptester.c,105 :: 		}
	RETURN
; end of _microstep

_program:

;steptester.c,106 :: 		void program(){
;steptester.c,108 :: 		Lcd_Cmd(_LCD_CLEAR);                                   //  
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;steptester.c,109 :: 		Lcd_Out(1, 1, prog);                                   // Print text on LCD
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _prog+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,110 :: 		a_pulses = 0;                                          //   
	CLRF       _a_pulses+0
	CLRF       _a_pulses+1
;steptester.c,111 :: 		b_pulses = 0;                                          //   
	CLRF       _b_pulses+0
	CLRF       _b_pulses+1
;steptester.c,112 :: 		z_pulses = 0;                                          //   
	CLRF       _z_pulses+0
	CLRF       _z_pulses+1
;steptester.c,113 :: 		stepsleft = 0;
	CLRF       _stepsleft+0
	CLRF       _stepsleft+1
;steptester.c,114 :: 		switch (programtype){                                  //      
	GOTO       L_program35
;steptester.c,115 :: 		case 1: Lcd_Out(2, 1, run1);               // Print text on LCD
L_program37:
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _run1+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,116 :: 		stepsleft = replays * 1920 + 100;      //   (n*1920 + (100))
	MOVF       _replays+0, 0
	MOVWF      R0+0
	MOVF       _replays+1, 0
	MOVWF      R0+1
	MOVLW      128
	MOVWF      R4+0
	MOVLW      7
	MOVWF      R4+1
	CALL       _Mul_16x16_U+0
	MOVLW      100
	ADDWF      R0+0, 0
	MOVWF      _stepsleft+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      _stepsleft+1
;steptester.c,118 :: 		break;
	GOTO       L_program36
;steptester.c,119 :: 		case 2: Lcd_Out(2, 1, run2);               // Print text on LCD
L_program38:
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _run2+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,120 :: 		stepsleft = replays + 1;           //   (+1   )
	MOVF       _replays+0, 0
	ADDLW      1
	MOVWF      _stepsleft+0
	MOVLW      0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      _replays+1, 0
	MOVWF      _stepsleft+1
;steptester.c,122 :: 		break;
	GOTO       L_program36
;steptester.c,123 :: 		}
L_program35:
	MOVLW      0
	XORWF      _programtype+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__program118
	MOVLW      1
	XORWF      _programtype+0, 0
L__program118:
	BTFSC      STATUS+0, 2
	GOTO       L_program37
	MOVLW      0
	XORWF      _programtype+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__program119
	MOVLW      2
	XORWF      _programtype+0, 0
L__program119:
	BTFSC      STATUS+0, 2
	GOTO       L_program38
L_program36:
;steptester.c,125 :: 		microstep();                                            //   
	CALL       _microstep+0
;steptester.c,127 :: 		a_out = a_pulses / replays;                            //    /
	MOVF       _replays+0, 0
	MOVWF      R4+0
	MOVF       _replays+1, 0
	MOVWF      R4+1
	MOVF       _a_pulses+0, 0
	MOVWF      R0+0
	MOVF       _a_pulses+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVF       R0+0, 0
	MOVWF      _a_out+0
	MOVF       R0+1, 0
	MOVWF      _a_out+1
;steptester.c,128 :: 		b_out = b_pulses / replays;                            //    /
	MOVF       _replays+0, 0
	MOVWF      R4+0
	MOVF       _replays+1, 0
	MOVWF      R4+1
	MOVF       _b_pulses+0, 0
	MOVWF      R0+0
	MOVF       _b_pulses+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVF       R0+0, 0
	MOVWF      _b_out+0
	MOVF       R0+1, 0
	MOVWF      _b_out+1
;steptester.c,129 :: 		INTCON = 0x00;                                         //  
	CLRF       INTCON+0
;steptester.c,130 :: 		intro = 100;                                           //    
	MOVLW      100
	MOVWF      _intro+0
	MOVLW      0
	MOVWF      _intro+1
;steptester.c,131 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;steptester.c,132 :: 		IntToStr(b_out, txt);
	MOVF       _b_out+0, 0
	MOVWF      FARG_IntToStr_input+0
	MOVF       _b_out+1, 0
	MOVWF      FARG_IntToStr_input+1
	MOVLW      _txt+0
	MOVWF      FARG_IntToStr_output+0
	CALL       _IntToStr+0
;steptester.c,133 :: 		Lcd_Out(2, 1, txt);                                    // Print text on LCD
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,134 :: 		Lcd_Out(2, 1, "B:");                                   // Print text on LCD
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr1_steptester+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,135 :: 		IntToStr(a_out, txt);
	MOVF       _a_out+0, 0
	MOVWF      FARG_IntToStr_input+0
	MOVF       _a_out+1, 0
	MOVWF      FARG_IntToStr_input+1
	MOVLW      _txt+0
	MOVWF      FARG_IntToStr_output+0
	CALL       _IntToStr+0
;steptester.c,136 :: 		Lcd_Out(1, 1, txt);                                    // Print text on LCD
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,137 :: 		Lcd_Out(1, 1, "A:");                                   // Print text on LCD
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr2_steptester+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,138 :: 		PORTD = 0x00;                                          //  
	CLRF       PORTD+0
;steptester.c,139 :: 		menuitem = 5;                                          //    
	MOVLW      5
	MOVWF      _menuitem+0
	MOVLW      0
	MOVWF      _menuitem+1
;steptester.c,140 :: 		}
	RETURN
; end of _program

_main:

;steptester.c,144 :: 		void main() {
;steptester.c,148 :: 		TRISA = 0xff;                  // PORTA
	MOVLW      255
	MOVWF      TRISA+0
;steptester.c,149 :: 		TRISB = 0b00111111;            // PORTB    (0(INT),4,5)   (1-3)
	MOVLW      63
	MOVWF      TRISB+0
;steptester.c,150 :: 		TRISC = 0x00;                  // PORTC   LCD
	CLRF       TRISC+0
;steptester.c,151 :: 		TRISD = 0x00;                  // PORTD    (4-7)
	CLRF       TRISD+0
;steptester.c,152 :: 		TRISE = 0x00;                  // PORTE   LCD
	CLRF       TRISE+0
;steptester.c,153 :: 		ADCON1 = 0x06;                 //  - 
	MOVLW      6
	MOVWF      ADCON1+0
;steptester.c,154 :: 		PORTB = 0x00;                  // 
	CLRF       PORTB+0
;steptester.c,155 :: 		PORTD = 0x00;                  //  
	CLRF       PORTD+0
;steptester.c,156 :: 		PORTC = 0x00;                  //  
	CLRF       PORTC+0
;steptester.c,157 :: 		PORTE = 0x00;                  //  
	CLRF       PORTE+0
;steptester.c,161 :: 		INTCON = 0x00;                 //  
	CLRF       INTCON+0
;steptester.c,162 :: 		OPTION_REG.INTEDG = 0;         //  INT  
	BCF        OPTION_REG+0, 6
;steptester.c,163 :: 		PIE1 = 0x00;                   //
	CLRF       PIE1+0
;steptester.c,164 :: 		PIR1 = 0x00;                   //
	CLRF       PIR1+0
;steptester.c,165 :: 		PIE2 = 0x00;                   //
	CLRF       PIE2+0
;steptester.c,166 :: 		PIR2 = 0x00;                   //
	CLRF       PIR2+0
;steptester.c,167 :: 		m = PORTB;                     //    
	MOVF       PORTB+0, 0
	MOVWF      _m+0
	CLRF       _m+1
;steptester.c,170 :: 		Lcd_Init();                    //  
	CALL       _Lcd_Init+0
;steptester.c,171 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);      //  
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;steptester.c,172 :: 		Lcd_Cmd(_LCD_CLEAR);           //  
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;steptester.c,173 :: 		Lcd_Out(1, 1, "WAIT...");      // Print text on LCD
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr3_steptester+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,174 :: 		Delay_ms(1000);                //  1 
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L_main39:
	DECFSZ     R13+0, 1
	GOTO       L_main39
	DECFSZ     R12+0, 1
	GOTO       L_main39
	DECFSZ     R11+0, 1
	GOTO       L_main39
	NOP
	NOP
;steptester.c,176 :: 		menuitem = 1;                  //    
	MOVLW      1
	MOVWF      _menuitem+0
	MOVLW      0
	MOVWF      _menuitem+1
;steptester.c,177 :: 		Lcd_Cmd(_LCD_CLEAR);           //  
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;steptester.c,178 :: 		Lcd_Out(1, 1, device);         // Print text on LCD
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _device+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,179 :: 		Lcd_Out(2, 1, ready);          // Print text on LCD
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _ready+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,186 :: 		while(1){
L_main40:
;steptester.c,189 :: 		if (oldstate1 && Button(&PORTA, 0, 10, 0)) {
	MOVF       _oldstate1+0, 0
	IORWF      _oldstate1+1, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main44
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	CLRF       FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main44
L__main91:
;steptester.c,190 :: 		oldstate1 = 0;
	CLRF       _oldstate1+0
	CLRF       _oldstate1+1
;steptester.c,193 :: 		switch (menuitem){
	GOTO       L_main45
;steptester.c,194 :: 		case 1 : Lcd_Cmd(_LCD_CLEAR);
L_main47:
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;steptester.c,195 :: 		Lcd_Out(1, 1, prog);                // Print text on LCD
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _prog+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,196 :: 		Lcd_Out(2, 1, one);                 // Print text on LCD
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _one+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,197 :: 		programtype = 1;                    //   1
	MOVLW      1
	MOVWF      _programtype+0
	MOVLW      0
	MOVWF      _programtype+1
;steptester.c,198 :: 		menuitem = 2;                       //      (2-3)
	MOVLW      2
	MOVWF      _menuitem+0
	MOVLW      0
	MOVWF      _menuitem+1
;steptester.c,199 :: 		break;
	GOTO       L_main46
;steptester.c,200 :: 		case 2 : Lcd_Cmd(_LCD_CLEAR);
L_main48:
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;steptester.c,201 :: 		Lcd_Out(1, 1, prog);                // Print text on LCD
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _prog+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,202 :: 		Lcd_Out(2, 1, two);                 // Print text on LCD
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _two+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,203 :: 		programtype = 2;                    //   2
	MOVLW      2
	MOVWF      _programtype+0
	MOVLW      0
	MOVWF      _programtype+1
;steptester.c,204 :: 		menuitem = 3;
	MOVLW      3
	MOVWF      _menuitem+0
	MOVLW      0
	MOVWF      _menuitem+1
;steptester.c,205 :: 		break;
	GOTO       L_main46
;steptester.c,206 :: 		case 3 : Lcd_Cmd(_LCD_CLEAR);
L_main49:
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;steptester.c,207 :: 		Lcd_Out(1, 1, prog);                // Print text on LCD
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _prog+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,208 :: 		Lcd_Out(2, 1, one);                 // Print text on LCD
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _one+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,209 :: 		programtype = 1;                    //   1
	MOVLW      1
	MOVWF      _programtype+0
	MOVLW      0
	MOVWF      _programtype+1
;steptester.c,210 :: 		menuitem = 2;
	MOVLW      2
	MOVWF      _menuitem+0
	MOVLW      0
	MOVWF      _menuitem+1
;steptester.c,211 :: 		break;
	GOTO       L_main46
;steptester.c,212 :: 		case 4 : replays = replays++;                //   
L_main50:
	INCF       _replays+0, 1
	BTFSC      STATUS+0, 2
	INCF       _replays+1, 1
;steptester.c,213 :: 		if (replays > 10) replays = 10;
	MOVF       _replays+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main120
	MOVF       _replays+0, 0
	SUBLW      10
L__main120:
	BTFSC      STATUS+0, 0
	GOTO       L_main51
	MOVLW      10
	MOVWF      _replays+0
	MOVLW      0
	MOVWF      _replays+1
L_main51:
;steptester.c,214 :: 		IntToStr(replays, txt);
	MOVF       _replays+0, 0
	MOVWF      FARG_IntToStr_input+0
	MOVF       _replays+1, 0
	MOVWF      FARG_IntToStr_input+1
	MOVLW      _txt+0
	MOVWF      FARG_IntToStr_output+0
	CALL       _IntToStr+0
;steptester.c,215 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;steptester.c,216 :: 		Lcd_Out(1, 1, repl);                // Print text on LCD
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _repl+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,217 :: 		Lcd_Out(2, 1, txt);                 // Print text on LCD
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,218 :: 		break;
	GOTO       L_main46
;steptester.c,219 :: 		case 5 :  Lcd_Cmd(_LCD_CLEAR);
L_main52:
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;steptester.c,220 :: 		Lcd_Out(1, 1, device);             // Print text on LCD
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _device+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,221 :: 		Lcd_Out(2, 1, ready);              // Print text on LCD
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _ready+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,222 :: 		menuitem = 1; break;
	MOVLW      1
	MOVWF      _menuitem+0
	MOVLW      0
	MOVWF      _menuitem+1
	GOTO       L_main46
;steptester.c,223 :: 		}
L_main45:
	MOVLW      0
	XORWF      _menuitem+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main121
	MOVLW      1
	XORWF      _menuitem+0, 0
L__main121:
	BTFSC      STATUS+0, 2
	GOTO       L_main47
	MOVLW      0
	XORWF      _menuitem+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main122
	MOVLW      2
	XORWF      _menuitem+0, 0
L__main122:
	BTFSC      STATUS+0, 2
	GOTO       L_main48
	MOVLW      0
	XORWF      _menuitem+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main123
	MOVLW      3
	XORWF      _menuitem+0, 0
L__main123:
	BTFSC      STATUS+0, 2
	GOTO       L_main49
	MOVLW      0
	XORWF      _menuitem+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main124
	MOVLW      4
	XORWF      _menuitem+0, 0
L__main124:
	BTFSC      STATUS+0, 2
	GOTO       L_main50
	MOVLW      0
	XORWF      _menuitem+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main125
	MOVLW      5
	XORWF      _menuitem+0, 0
L__main125:
	BTFSC      STATUS+0, 2
	GOTO       L_main52
L_main46:
;steptester.c,224 :: 		}
L_main44:
;steptester.c,225 :: 		if (!oldstate1 && Button(&PORTA, 0, 10, 1)) oldstate1 = 1;
	MOVF       _oldstate1+0, 0
	IORWF      _oldstate1+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L_main55
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	CLRF       FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main55
L__main90:
	MOVLW      1
	MOVWF      _oldstate1+0
	MOVLW      0
	MOVWF      _oldstate1+1
L_main55:
;steptester.c,227 :: 		if (oldstate2 && Button(&PORTA, 1, 10, 0)) {
	MOVF       _oldstate2+0, 0
	IORWF      _oldstate2+1, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main58
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main58
L__main89:
;steptester.c,228 :: 		oldstate2 = 0;
	CLRF       _oldstate2+0
	CLRF       _oldstate2+1
;steptester.c,231 :: 		switch (menuitem){
	GOTO       L_main59
;steptester.c,232 :: 		case 1 : Lcd_Cmd(_LCD_CLEAR);
L_main61:
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;steptester.c,233 :: 		Lcd_Out(1, 1, prog);                // Print text on LCD
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _prog+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,234 :: 		Lcd_Out(2, 1, one);                 // Print text on LCD
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _one+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,235 :: 		programtype = 1;                    //   1
	MOVLW      1
	MOVWF      _programtype+0
	MOVLW      0
	MOVWF      _programtype+1
;steptester.c,236 :: 		menuitem = 2;                       //      (2-3)
	MOVLW      2
	MOVWF      _menuitem+0
	MOVLW      0
	MOVWF      _menuitem+1
;steptester.c,237 :: 		break;
	GOTO       L_main60
;steptester.c,238 :: 		case 2 : Lcd_Cmd(_LCD_CLEAR);
L_main62:
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;steptester.c,239 :: 		Lcd_Out(1, 1, prog);                // Print text on LCD
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _prog+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,240 :: 		Lcd_Out(2, 1, two);                 // Print text on LCD
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _two+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,241 :: 		programtype = 2;                    //   2
	MOVLW      2
	MOVWF      _programtype+0
	MOVLW      0
	MOVWF      _programtype+1
;steptester.c,242 :: 		menuitem = 3;
	MOVLW      3
	MOVWF      _menuitem+0
	MOVLW      0
	MOVWF      _menuitem+1
;steptester.c,243 :: 		break;
	GOTO       L_main60
;steptester.c,244 :: 		case 3 : Lcd_Cmd(_LCD_CLEAR);
L_main63:
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;steptester.c,245 :: 		Lcd_Out(1, 1, prog);                // Print text on LCD
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _prog+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,246 :: 		Lcd_Out(2, 1, one);                 // Print text on LCD
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _one+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,247 :: 		programtype = 1;                    //   1
	MOVLW      1
	MOVWF      _programtype+0
	MOVLW      0
	MOVWF      _programtype+1
;steptester.c,248 :: 		menuitem = 2;
	MOVLW      2
	MOVWF      _menuitem+0
	MOVLW      0
	MOVWF      _menuitem+1
;steptester.c,249 :: 		break;
	GOTO       L_main60
;steptester.c,250 :: 		case 4 : replays = replays--;                //   
L_main64:
	MOVLW      1
	SUBWF      _replays+0, 1
	BTFSS      STATUS+0, 0
	DECF       _replays+1, 1
;steptester.c,251 :: 		if (replays < 1) replays = 1;
	MOVLW      0
	SUBWF      _replays+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main126
	MOVLW      1
	SUBWF      _replays+0, 0
L__main126:
	BTFSC      STATUS+0, 0
	GOTO       L_main65
	MOVLW      1
	MOVWF      _replays+0
	MOVLW      0
	MOVWF      _replays+1
L_main65:
;steptester.c,252 :: 		IntToStr(replays, txt);
	MOVF       _replays+0, 0
	MOVWF      FARG_IntToStr_input+0
	MOVF       _replays+1, 0
	MOVWF      FARG_IntToStr_input+1
	MOVLW      _txt+0
	MOVWF      FARG_IntToStr_output+0
	CALL       _IntToStr+0
;steptester.c,253 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;steptester.c,254 :: 		Lcd_Out(1, 1, repl);                // Print text on LCD
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _repl+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,255 :: 		Lcd_Out(2, 1, txt);                 // Print text on LCD
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,256 :: 		break;
	GOTO       L_main60
;steptester.c,257 :: 		case 5 :  Lcd_Cmd(_LCD_CLEAR);
L_main66:
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;steptester.c,258 :: 		Lcd_Out(1, 1, device);             // Print text on LCD
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _device+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,259 :: 		Lcd_Out(2, 1, ready);              // Print text on LCD
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _ready+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,260 :: 		menuitem = 1; break;
	MOVLW      1
	MOVWF      _menuitem+0
	MOVLW      0
	MOVWF      _menuitem+1
	GOTO       L_main60
;steptester.c,262 :: 		}
L_main59:
	MOVLW      0
	XORWF      _menuitem+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main127
	MOVLW      1
	XORWF      _menuitem+0, 0
L__main127:
	BTFSC      STATUS+0, 2
	GOTO       L_main61
	MOVLW      0
	XORWF      _menuitem+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main128
	MOVLW      2
	XORWF      _menuitem+0, 0
L__main128:
	BTFSC      STATUS+0, 2
	GOTO       L_main62
	MOVLW      0
	XORWF      _menuitem+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main129
	MOVLW      3
	XORWF      _menuitem+0, 0
L__main129:
	BTFSC      STATUS+0, 2
	GOTO       L_main63
	MOVLW      0
	XORWF      _menuitem+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main130
	MOVLW      4
	XORWF      _menuitem+0, 0
L__main130:
	BTFSC      STATUS+0, 2
	GOTO       L_main64
	MOVLW      0
	XORWF      _menuitem+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main131
	MOVLW      5
	XORWF      _menuitem+0, 0
L__main131:
	BTFSC      STATUS+0, 2
	GOTO       L_main66
L_main60:
;steptester.c,263 :: 		}
L_main58:
;steptester.c,264 :: 		if (!oldstate2 && Button(&PORTA, 1, 10, 1)) oldstate2 = 1;
	MOVF       _oldstate2+0, 0
	IORWF      _oldstate2+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L_main69
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main69
L__main88:
	MOVLW      1
	MOVWF      _oldstate2+0
	MOVLW      0
	MOVWF      _oldstate2+1
L_main69:
;steptester.c,266 :: 		if (oldstate3 && Button(&PORTA, 2, 10, 0)) {
	MOVF       _oldstate3+0, 0
	IORWF      _oldstate3+1, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main72
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main72
L__main87:
;steptester.c,267 :: 		oldstate3 = 0;
	CLRF       _oldstate3+0
	CLRF       _oldstate3+1
;steptester.c,270 :: 		switch (menuitem){
	GOTO       L_main73
;steptester.c,271 :: 		case 1 : Lcd_Cmd(_LCD_CLEAR);
L_main75:
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;steptester.c,272 :: 		Lcd_Out(1, 1, prog);                // Print text on LCD
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _prog+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,273 :: 		Lcd_Out(2, 1, one);                 // Print text on LCD
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _one+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,274 :: 		programtype = 1;                    //   1
	MOVLW      1
	MOVWF      _programtype+0
	MOVLW      0
	MOVWF      _programtype+1
;steptester.c,275 :: 		menuitem = 2;                       //      (2-3)
	MOVLW      2
	MOVWF      _menuitem+0
	MOVLW      0
	MOVWF      _menuitem+1
;steptester.c,276 :: 		break;
	GOTO       L_main74
;steptester.c,277 :: 		case 2 : Lcd_Cmd(_LCD_CLEAR);
L_main76:
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;steptester.c,278 :: 		Lcd_Out(1, 1, repl);                // Print text on LCD
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _repl+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,279 :: 		IntToStr(replays, txt);
	MOVF       _replays+0, 0
	MOVWF      FARG_IntToStr_input+0
	MOVF       _replays+1, 0
	MOVWF      FARG_IntToStr_input+1
	MOVLW      _txt+0
	MOVWF      FARG_IntToStr_output+0
	CALL       _IntToStr+0
;steptester.c,280 :: 		Lcd_Out(2, 1, txt);                 // Print text on LCD
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,281 :: 		menuitem = 4;
	MOVLW      4
	MOVWF      _menuitem+0
	MOVLW      0
	MOVWF      _menuitem+1
;steptester.c,282 :: 		break;
	GOTO       L_main74
;steptester.c,283 :: 		case 3 : Lcd_Cmd(_LCD_CLEAR);
L_main77:
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;steptester.c,284 :: 		Lcd_Out(1, 1, repl);                // Print text on LCD
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _repl+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,285 :: 		IntToStr(replays, txt);
	MOVF       _replays+0, 0
	MOVWF      FARG_IntToStr_input+0
	MOVF       _replays+1, 0
	MOVWF      FARG_IntToStr_input+1
	MOVLW      _txt+0
	MOVWF      FARG_IntToStr_output+0
	CALL       _IntToStr+0
;steptester.c,286 :: 		Lcd_Out(2, 1, txt);                 // Print text on LCD
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,287 :: 		menuitem = 4;
	MOVLW      4
	MOVWF      _menuitem+0
	MOVLW      0
	MOVWF      _menuitem+1
;steptester.c,288 :: 		break;
	GOTO       L_main74
;steptester.c,289 :: 		case 4 : program();                          //  
L_main78:
	CALL       _program+0
;steptester.c,290 :: 		break;
	GOTO       L_main74
;steptester.c,291 :: 		case 5 : Lcd_Cmd(_LCD_CLEAR);
L_main79:
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;steptester.c,292 :: 		Lcd_Out(1, 1, device);              // Print text on LCD
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _device+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,293 :: 		Lcd_Out(2, 1, ready);               // Print text on LCD
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _ready+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;steptester.c,294 :: 		menuitem = 1;
	MOVLW      1
	MOVWF      _menuitem+0
	MOVLW      0
	MOVWF      _menuitem+1
;steptester.c,295 :: 		programtype = 1;
	MOVLW      1
	MOVWF      _programtype+0
	MOVLW      0
	MOVWF      _programtype+1
;steptester.c,296 :: 		break;
	GOTO       L_main74
;steptester.c,298 :: 		}
L_main73:
	MOVLW      0
	XORWF      _menuitem+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main132
	MOVLW      1
	XORWF      _menuitem+0, 0
L__main132:
	BTFSC      STATUS+0, 2
	GOTO       L_main75
	MOVLW      0
	XORWF      _menuitem+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main133
	MOVLW      2
	XORWF      _menuitem+0, 0
L__main133:
	BTFSC      STATUS+0, 2
	GOTO       L_main76
	MOVLW      0
	XORWF      _menuitem+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main134
	MOVLW      3
	XORWF      _menuitem+0, 0
L__main134:
	BTFSC      STATUS+0, 2
	GOTO       L_main77
	MOVLW      0
	XORWF      _menuitem+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main135
	MOVLW      4
	XORWF      _menuitem+0, 0
L__main135:
	BTFSC      STATUS+0, 2
	GOTO       L_main78
	MOVLW      0
	XORWF      _menuitem+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main136
	MOVLW      5
	XORWF      _menuitem+0, 0
L__main136:
	BTFSC      STATUS+0, 2
	GOTO       L_main79
L_main74:
;steptester.c,299 :: 		}
L_main72:
;steptester.c,300 :: 		if (!oldstate3 && Button(&PORTA, 2, 10, 1)) oldstate3 = 1;
	MOVF       _oldstate3+0, 0
	IORWF      _oldstate3+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L_main82
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main82
L__main86:
	MOVLW      1
	MOVWF      _oldstate3+0
	MOVLW      0
	MOVWF      _oldstate3+1
L_main82:
;steptester.c,304 :: 		} //    
	GOTO       L_main40
;steptester.c,306 :: 		}
	GOTO       $+0
; end of _main
